SRF_FILTER(1)

NAME
srf_filter - filter SRF files for various purposes

SYNOPSIS
srf_filter [-c chunk_types] [-f read_filter] [-C] [-o] [-v] input(s) output

OPTIONS

-c chunk_types

    Chunk types to output given as a comma delimited list of types. The following types are allowed: "ALL", "BASE", "CNF1", "CNF4" "SAMP", "SMP4". The default is "ALL".

-m mdata_types

    SAMP/SMP4 mdata types to output given as a comma delimited list of types. The following types are allowed: "ALL", "PROC", "SLXI", "SLXN" "0FAM", "1CY3", "2TXR", "3CY5". The default is "ALL".

-f read_filter

The filter to apply to reads in the archive.
    If reads match the

    filter they are dumped. The filter takes the form of <name>=<value>, where <name> can be "read", "prefix", "file". If the <name> is "read" the value is represents the name of a read to dump. Only the matching read will be dumped. If the <name> is "prefix" the value is represents the prefix of the name of the reads to dump. Only the matching reads will be dumped. If the <name> is "file" the value is a file name where any number of "read" and "prefix" name value pairs can be included, one per line. The default is no filter, which means all reads are dumped.

-b  exclude bad reads using readsFlags bitmask in data block header.

-2 cyc
    use this option to add a Illumina-style REGN chunk.

-v  Print verbose messages.

Use '-' for the input or output name to read from stdin or write to stdout.